<?xml version="1.0" encoding="UTF-8"?>
<xsl:transform exclude-result-prefixes="sqltoxml" version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html"/>
    <xsl:template match="/">
        <HTML>
            <HEAD>
                <META content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
                <META content="0" http-equiv="Expires"/>
            </HEAD>
            <BODY>
                <DIV>
                    <xsl:apply-templates/>
                </DIV>
            </BODY>
        </HTML>
    </xsl:template>
    <xsl:template match="sqltoxml:SQLResult" xmlns:sqltoxml="http://www.ibm.com/CCGOODS_CCPARTS">
        <Table border="2">
            <TR>
                <TD>ITEMNUMBER</TD>
                <TD>PARTCODE</TD>
                <TD>TITLE</TD>
                <TD>AUTHOR</TD>
                <TD>PUBLISHER</TD>
                <TD>PUBLISHINGDATE</TD>
                <TD>NETPRICE</TD>
                <TD>REDUCEPRICE</TD>
                <TD>DISCOUNTRATE</TD>
                <TD>QUANTITY</TD>
                <TD>PARTNAME</TD>
            </TR>
            <xsl:for-each select="sqltoxml:CCGOODS_CCPARTS">
                <TR>
                    <TD>
                        <xsl:value-of select="sqltoxml:ITEMNUMBER"/>
                    </TD>
                    <TD>
                        <xsl:value-of select="sqltoxml:PARTCODE"/>
                    </TD>
                    <TD>
                        <xsl:value-of select="sqltoxml:TITLE"/>
                    </TD>
                    <TD>
                        <xsl:value-of select="sqltoxml:AUTHOR"/>
                    </TD>
                    <TD>
                        <xsl:value-of select="sqltoxml:PUBLISHER"/>
                    </TD>
                    <TD>
                        <xsl:value-of select="sqltoxml:PUBLISHINGDATE"/>
                    </TD>
                    <TD>
                        <xsl:value-of select="sqltoxml:NETPRICE"/>
                    </TD>
                    <TD>
                        <xsl:value-of select="sqltoxml:REDUCEPRICE"/>
                    </TD>
                    <TD>
                        <xsl:value-of select="sqltoxml:DISCOUNTRATE"/>
                    </TD>
                    <TD>
                        <xsl:value-of select="sqltoxml:QUANTITY"/>
                    </TD>
                    <TD>
                        <xsl:value-of select="sqltoxml:PARTNAME"/>
                    </TD>
                </TR>
            </xsl:for-each>
        </Table>
    </xsl:template>
</xsl:transform>
