package book.wsad.channel.bean;

import java.io.Serializable;

public class BookInfo implements Serializable {

	private java.lang.String partName = null;
	private java.lang.Long itemNumber = null;
	private java.lang.String title = null;
	private java.lang.String author = null;
	private java.lang.String publisher = null;
	private java.sql.Date publishingDate = null;
	private java.lang.Integer netPrice = null;
	private java.lang.Integer reducePrice = null;
	private java.lang.Integer discountRate = null;
	private java.lang.Integer quantity = null;

	/**
	 * Constructor for BookInfo
	 */
	public BookInfo() {
		super();
	}
	
	public String toString(){
		return ("partName=" + partName + "/"
		+ "itemNumber=" + itemNumber + "/"	
		+ "title=" + title + "/"
		+ "author=" + author + "/"
		+ "publisher=" + publisher + "/"
		+ "publishingDate" + publishingDate + "/"
		+ "netPrice=" + netPrice + "/"
		+ "reducePrice=" + reducePrice + "/"
		+ "discountRate=" + discountRate + "/"
		+ "quantity=" + quantity);
	}
	

	/**
	 * Gets the author
	 * @return Returns a java.lang.String
	 */
	public java.lang.String getAuthor() {
		return author;
	}
	/**
	 * Sets the author
	 * @param author The author to set
	 */
	public void setAuthor(java.lang.String author) {
		this.author = author;
	}
 	/**
	 * Gets the discountRate
	 * @return Returns a java.lang.Integer
	 */
	public java.lang.Integer getDiscountRate() {
		return discountRate;
	}
	/**
	 * Sets the discountRate
	 * @param discountRate The discountRate to set
	 */
	public void setDiscountRate(java.lang.Integer discountRate) {
		this.discountRate = discountRate;
	}
 	/**
	 * Gets the itemNumber
	 * @return Returns a java.lang.Long
	 */
	public java.lang.Long getItemNumber() {
		return itemNumber;
	}
	/**
	 * Sets the itemNumber
	 * @param itemNumber The itemNumber to set
	 */
	public void setItemNumber(java.lang.Long itemNumber) {
		this.itemNumber = itemNumber;
	}
 	/**
	 * Gets the netPrice
	 * @return Returns a java.lang.Integer
	 */
	public java.lang.Integer getNetPrice() {
		return netPrice;
	}
	/**
	 * Sets the netPrice
	 * @param netPrice The netPrice to set
	 */
	public void setNetPrice(java.lang.Integer netPrice) {
		this.netPrice = netPrice;
	}
 	/**
	 * Gets the partName
	 * @return Returns a java.lang.String
	 */
	public java.lang.String getPartName() {
		return partName;
	}
	/**
	 * Sets the partName
	 * @param partName The partName to set
	 */
	public void setPartName(java.lang.String partName) {
		this.partName = partName;
	}
 	/**
	 * Gets the publisher
	 * @return Returns a java.lang.String
	 */
	public java.lang.String getPublisher() {
		return publisher;
	}
	/**
	 * Sets the publisher
	 * @param publisher The publisher to set
	 */
	public void setPublisher(java.lang.String publisher) {
		this.publisher = publisher;
	}
 	/**
	 * Gets the publishingDate
	 * @return Returns a java.sql.Date
	 */
	public java.sql.Date getPublishingDate() {
		return publishingDate;
	}
	/**
	 * Sets the publishingDate
	 * @param publishingDate The publishingDate to set
	 */
	public void setPublishingDate(java.sql.Date publishingDate) {
		this.publishingDate = publishingDate;
	}
 	/**
	 * Gets the quantity
	 * @return Returns a java.lang.Integer
	 */
	public java.lang.Integer getQuantity() {
		return quantity;
	}
	/**
	 * Sets the quantity
	 * @param quantity The quantity to set
	 */
	public void setQuantity(java.lang.Integer quantity) {
		this.quantity = quantity;
	}
 	/**
	 * Gets the reducePrice
	 * @return Returns a java.lang.Integer
	 */
	public java.lang.Integer getReducePrice() {
		return reducePrice;
	}
	/**
	 * Sets the reducePrice
	 * @param reducePrice The reducePrice to set
	 */
	public void setReducePrice(java.lang.Integer reducePrice) {
		this.reducePrice = reducePrice;
	}
 	/**
	 * Gets the title
	 * @return Returns a java.lang.String
	 */
	public java.lang.String getTitle() {
		return title;
	}
	/**
	 * Sets the title
	 * @param title The title to set
	 */
	public void setTitle(java.lang.String title) {
		this.title = title;
	}
 }

