package uef.wsad.sample.employee;


import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;


public class SearchEmployee {


	private static String select = "select firstnme, lastname, workdept, job from employee";
	
	public static void main(String[] args) {


		Connection con = null;
		Statement stmt = null;
		ResultSet rs   = null;
	
		try {
			con = connect();
			stmt = con.createStatement();
			rs = stmt.executeQuery(select);
		
			String firstName;
			String lastName;
			String workDept;
			String job;
			
			while (rs.next()) {
				
				firstName = rs.getString("firstnme");
				lastName = rs.getString("lastname");
				workDept = rs.getString("workdept");
				job = rs.getString("job");


				System.out.println("First Name=" + firstName + "/" 
				 + "Last Name=" + lastName + "/"
			 	+ "Work Department=" + workDept + "/"
		 		+ "Job=" + job);
			}
			rs.close();
			stmt.close();
			con.close();
			
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			if (rs != null) try{ rs.close(); } catch(Exception e){}
			if (stmt != null) try{ stmt.close(); } catch(Exception e){}
			if (con != null) try{ con.close(); } catch(Exception e){}
		}
	}
	
	private static Connection connect() {
		Connection conn = null;
		try {
			Class.forName("COM.ibm.db2.jdbc.app.DB2Driver");
			conn = DriverManager.getConnection("jdbc:db2:sample"); 
		} catch(Exception e) {
			e.printStackTrace();
		}
		return conn;
	}
}
