package com.wsad.employee.web;

import java.io.*;
import java.util.*;

import java.sql.*;

import javax.naming.*;
import javax.sql.*;

public class DBBean {

	private final String source = "jdbc/MEMBERS";
	private final String user = "db2admin";
	private final String passwd = "db2admin";

	private Connection conn;
	private Statement stmt;
	private ResultSet rs;

	private java.lang.String query;

	public DBBean() {
		super();
	}
	
	public void init() {
	}

	public void closeConnection() throws java.sql.SQLException {
		if (rs != null)	try {rs.close();} catch(Exception e) {}
		if (stmt != null) try {stmt.close();} catch(Exception e) {}
		if (conn != null) try {conn.close();} catch(Exception e) {}
	}

	public void execute() throws SQLException, NamingException, ClassNotFoundException {
		setConnection();

		stmt = conn.createStatement();
		stmt.execute(query);

		closeConnection();
	}

	public int executeUpdate(String query) throws SQLException {
		stmt = conn.createStatement();
		return stmt.executeUpdate(query);
	}
	
	public ResultSet getRs() {
		return rs;
	}
	
	public ResultSet executeQuery(String query) throws SQLException {
		stmt = conn.createStatement();
		rs = stmt.executeQuery(query);
		return rs;
	}
	
	public boolean setConnection() {
		try {
			Context ctx = new InitialContext();
			DataSource ds = (DataSource) ctx.lookup(source);
			conn = ds.getConnection(user, passwd);
			return true;
		} catch (java.sql.SQLException ex) {
			return false;
		} catch (javax.naming.NamingException ex) {
			return false;
		}
	}
	
	public String getQuery() {
		return query;
	}
	
	public void setQuery(String newQuery) {
		query = newQuery;
	}
}